osl::record::KIFCharacters Struct Reference

柿木形式（KIF）。頭にv More...

`#include <kanjiPrint.h>`

Inheritance diagram for osl::record::KIFCharacters:

## Public Member Functions

const std::string & | getDan (const size_t index) const
| 段数の文字を返す
const std::string & | getSuji (const size_t index) const
| 筋の文字を返す。駒の文字幅に合わせる必要がある。
const std::string & | getPiece (const size_t index) const
| 盤面上の駒を返す
Public Member Functions inherited from osl::record::Characters
virtual | ~Characters ()
const std::string & | getStand (const size_t index) const
| 持ち駒の漢字文字を返す。1文字を期待する
const std::string & | stand_kanji (const PtypeO &ptypeo) const
const std::string & | kanji (const PtypeO &ptypeo) const
const std::string & | kanji (Ptype ptype) const

## Static Public Attributes

static const CArray< std::string, 10 > | dan
static const CArray< std::string, 10 > | suji
static const CArray< std::string, 32 > | pieces
Static Public Attributes inherited from osl::record::Characters
static const CArray< std::string, 32 > | stand

## Detailed Description

柿木形式（KIF）。頭にv

Definition at line 170 of file kanjiPrint.h.

## Member Function Documentation

## getDan()

const std::string & osl::record::KIFCharacters::getDan | ( | const size_t | index | ) | const

inline virtual

段数の文字を返す

Implements osl::record::Characters.

Definition at line 176 of file kanjiPrint.h.

References dan.

## getPiece()

const std::string & osl::record::KIFCharacters::getPiece | ( | const size_t | index | ) | const

inline virtual

盤面上の駒を返す

Implements osl::record::Characters.

Definition at line 178 of file kanjiPrint.h.

References pieces.

## getSuji()

const std::string & osl::record::KIFCharacters::getSuji | ( | const size_t | index | ) | const

inline virtual

筋の文字を返す。駒の文字幅に合わせる必要がある。

Implements osl::record::Characters.

Definition at line 177 of file kanjiPrint.h.

References suji.

## Member Data Documentation

## dan

const osl::CArray< std::string, 10 > osl::record::KIFCharacters::dan

static

Initial value:
=
osl::record::StandardCharacters::dan
osl::record::StandardCharacters::dan
static const CArray< std::string, 10 > dan
段数の文字
Definition kanjiPrint.h:111

Definition at line 172 of file kanjiPrint.h.

Referenced by getDan().

## pieces

const osl::CArray< std::string, 32 > osl::record::KIFCharacters::pieces

static

Initial value:
=
{{
" " K_NAKAGURO, "+E",
"v" K_PPAWN, "v" K_PLANCE, "v" K_PKNIGHT, "v" K_PSILVER, "v" K_PBISHOP, "v" K_PROOK, "v" K_KING,
"v" K_GOLD, "v" K_PAWN, "v" K_LANCE, "v" K_KNIGHT, "v" K_SILVER, "v" K_BISHOP, "v" K_ROOK,
" " K_NAKAGURO, "+E",
" " K_PPAWN, " " K_PLANCE, " " K_PKNIGHT, " " K_PSILVER, " " K_PBISHOP, " " K_PROOK, " " K_KING,
" " K_GOLD, " " K_PAWN, " " K_LANCE, " " K_KNIGHT, " " K_SILVER, " " K_BISHOP, " " K_ROOK
}}
K_PSILVER
#define K_PSILVER
Definition kanjiCode.h:74
K_KNIGHT
#define K_KNIGHT
Definition kanjiCode.h:67
K_NAKAGURO
#define K_NAKAGURO
Definition kanjiCode.h:16
K_PLANCE
#define K_PLANCE
Definition kanjiCode.h:64
K_GOLD
#define K_GOLD
Definition kanjiCode.h:77
K_LANCE
#define K_LANCE
Definition kanjiCode.h:62
K_ROOK
#define K_ROOK
Definition kanjiCode.h:83
K_KING
#define K_KING
Definition kanjiCode.h:88
K_PAWN
#define K_PAWN
Definition kanjiCode.h:58
K_PPAWN
#define K_PPAWN
Definition kanjiCode.h:60
K_BISHOP
#define K_BISHOP
Definition kanjiCode.h:79
K_PBISHOP
#define K_PBISHOP
Definition kanjiCode.h:81
K_PKNIGHT
#define K_PKNIGHT
Definition kanjiCode.h:69
K_SILVER
#define K_SILVER
Definition kanjiCode.h:72
K_PROOK
#define K_PROOK
Definition kanjiCode.h:85

Definition at line 143 of file kanjiPrint.h.

Referenced by getPiece().

## suji

const osl::CArray< std::string, 10 > osl::record::KIFCharacters::suji

static

Initial value:
=
{{"", " " K_R1, " " K_R2, " " K_R3, " " K_R4, " " K_R5, " " K_R6, " " K_R7, " " K_R8, " " K_R9}}
K_R4
#define K_R4
Definition kanjiCode.h:21
K_R2
#define K_R2
Definition kanjiCode.h:19
K_R5
#define K_R5
Definition kanjiCode.h:22
K_R8
#define K_R8
Definition kanjiCode.h:25
K_R7
#define K_R7
Definition kanjiCode.h:24
K_R6
#define K_R6
Definition kanjiCode.h:23
K_R3
#define K_R3
Definition kanjiCode.h:20
K_R9
#define K_R9
Definition kanjiCode.h:26
K_R1
#define K_R1
Definition kanjiCode.h:18

Definition at line 141 of file kanjiPrint.h.

Referenced by getSuji().

The documentation for this struct was generated from the following files:

- kanjiPrint.h
- kanjiPrint.cc